import { core, flags, SfdxCommand } from '@salesforce/command';
export default class Loader extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
    }[];
    protected static flagsConfig: {
        datafile: flags.IOptionFlag<string>;
        sobjectname: flags.IOptionFlag<string>;
        mode: flags.IOptionFlag<string>;
        loginfile: flags.IOptionFlag<string>;
        orgname: flags.IOptionFlag<string>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<core.AnyJson>;
}
