import { core, flags, SfdxCommand } from '@salesforce/command';
export default class Crud extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        toolingobj: flags.IOptionFlag<string>;
        method: flags.IOptionFlag<string>;
        objcontentfilename: flags.IOptionFlag<string>;
        aurabundlelabel: flags.IOptionFlag<string>;
        auratype: flags.IOptionFlag<string>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<core.AnyJson>;
}
